﻿#target Illustrator
var doc = app.activeDocument;
var noColor = new NoColor();
var ref = new Array();
if (doc.selection.length > 0) {
	var n = 0;
	try {
		for(i=0; i<doc.selection.length; i++) { 
			if (app.selection[i].typename=="TextFrame") {
				ref[n]=app.selection[i];
				n++;
			};
		};
		DeselectAll();
	} catch(e) {};
	for(i=0; i<ref.length; i++) { 
		tmp = ref[i].duplicate().createOutline();
		gb = tmp.geometricBounds;
		tmp.remove();
		rect = doc.pathItems.rectangle(gb[1], gb[0], gb[2]-gb[0], gb[1]-gb[3]);
		rect.fillColor = noColor;
		rect.strokeColor = noColor;
		group = doc.groupItems.add();
		ref[i].moveToBeginning(group);
		rect.clipping = true;
		rect.moveToBeginning(group);
		group.clipped = true;
		group.selected = true
	};
};
redraw();

function DeselectAll() {
	for (c=doc.selection.length-1;c>=0;c--) {
		doc.selection[c].selected = false;
	};
};